import * as React from "react";
import { IGXE } from "@intelligentgraphics/igd.core";
export var usePropertyValueSections = function (property) {
    var sections = React.useMemo(function () { return IGXE.createPropertyValueSections(property); }, [property]);
    return sections;
};
var PropertyValueSections = function (props) {
    var sections = usePropertyValueSections(props.property);
    return props.children({
        sections: sections,
    });
};
PropertyValueSections.displayName = "PropertyValueSections";
export default PropertyValueSections;
